import { NetworkService } from './NetworkService'
import { ServiceBase } from './ServiceBase'

export class GameService extends ServiceBase {
  private networkService = new NetworkService()

  async createMatch(sessionName: string, seed: string) {
    const response = await this.networkService.post({
      uri: '/game/match',
      body: { sessionName, seed },
      auth: true
    })
    const { sessionId } = response
    return sessionId
  }
}
